diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/test/test-lte-antenna.cc ns-3.42/src/lte/test/test-lte-antenna.cc
--- ns-3.41/src/lte/test/test-lte-antenna.cc	2024-02-09 14:44:08.337793000 -0800
+++ ns-3.42/src/lte/test/test-lte-antenna.cc	2024-05-29 15:29:47.128073700 -0700
@@ -273,39 +273,51 @@
 };
 
 LteAntennaTestSuite::LteAntennaTestSuite()
-    : TestSuite("lte-antenna", SYSTEM)
+    : TestSuite("lte-antenna", Type::SYSTEM)
 {
     NS_LOG_FUNCTION(this);
 
     //                                      orientation beamwidth     x            y         gain
-    AddTestCase(new LteEnbAntennaTestCase(0.0, 90.0, 1.0, 0.0, 0.0), TestCase::QUICK);
-    AddTestCase(new LteEnbAntennaTestCase(0.0, 90.0, 1.0, 1.0, -3.0), TestCase::QUICK);
-    AddTestCase(new LteEnbAntennaTestCase(0.0, 90.0, 1.0, -1.0, -3.0), TestCase::QUICK);
-    AddTestCase(new LteEnbAntennaTestCase(0.0, 90.0, -1.0, -1.0, -36.396), TestCase::QUICK);
-    AddTestCase(new LteEnbAntennaTestCase(0.0, 90.0, -1.0, -0.0, -1414.6), TestCase::QUICK);
-    AddTestCase(new LteEnbAntennaTestCase(0.0, 90.0, -1.0, 1.0, -36.396), TestCase::QUICK);
-    AddTestCase(new LteEnbAntennaTestCase(45.0, 90.0, 1.0, 1.0, 0.0), TestCase::QUICK);
-    AddTestCase(new LteEnbAntennaTestCase(-45.0, 90.0, 1.0, -1.0, 0.0), TestCase::QUICK);
-    AddTestCase(new LteEnbAntennaTestCase(90.0, 90.0, 1.0, 1.0, -3.0), TestCase::QUICK);
-    AddTestCase(new LteEnbAntennaTestCase(-90.0, 90.0, 1.0, -1.0, -3.0), TestCase::QUICK);
+    AddTestCase(new LteEnbAntennaTestCase(0.0, 90.0, 1.0, 0.0, 0.0), TestCase::Duration::QUICK);
+    AddTestCase(new LteEnbAntennaTestCase(0.0, 90.0, 1.0, 1.0, -3.0), TestCase::Duration::QUICK);
+    AddTestCase(new LteEnbAntennaTestCase(0.0, 90.0, 1.0, -1.0, -3.0), TestCase::Duration::QUICK);
+    AddTestCase(new LteEnbAntennaTestCase(0.0, 90.0, -1.0, -1.0, -36.396),
+                TestCase::Duration::QUICK);
+    AddTestCase(new LteEnbAntennaTestCase(0.0, 90.0, -1.0, -0.0, -1414.6),
+                TestCase::Duration::QUICK);
+    AddTestCase(new LteEnbAntennaTestCase(0.0, 90.0, -1.0, 1.0, -36.396),
+                TestCase::Duration::QUICK);
+    AddTestCase(new LteEnbAntennaTestCase(45.0, 90.0, 1.0, 1.0, 0.0), TestCase::Duration::QUICK);
+    AddTestCase(new LteEnbAntennaTestCase(-45.0, 90.0, 1.0, -1.0, 0.0), TestCase::Duration::QUICK);
+    AddTestCase(new LteEnbAntennaTestCase(90.0, 90.0, 1.0, 1.0, -3.0), TestCase::Duration::QUICK);
+    AddTestCase(new LteEnbAntennaTestCase(-90.0, 90.0, 1.0, -1.0, -3.0), TestCase::Duration::QUICK);
 
-    AddTestCase(new LteEnbAntennaTestCase(0.0, 120.0, 1.0, 0.0, 0.0), TestCase::QUICK);
-    AddTestCase(new LteEnbAntennaTestCase(0.0, 120.0, 0.5, sin(M_PI / 3), -3.0), TestCase::QUICK);
-    AddTestCase(new LteEnbAntennaTestCase(0.0, 120.0, 0.5, -sin(M_PI / 3), -3.0), TestCase::QUICK);
-    AddTestCase(new LteEnbAntennaTestCase(0.0, 120.0, -1.0, -2.0, -13.410), TestCase::QUICK);
-    AddTestCase(new LteEnbAntennaTestCase(0.0, 120.0, -1.0, 1.0, -20.034), TestCase::QUICK);
-    AddTestCase(new LteEnbAntennaTestCase(60.0, 120.0, 0.5, sin(M_PI / 3), 0.0), TestCase::QUICK);
-    AddTestCase(new LteEnbAntennaTestCase(-60.0, 120.0, 0.5, -sin(M_PI / 3), 0.0), TestCase::QUICK);
-    AddTestCase(new LteEnbAntennaTestCase(-60.0, 120.0, 0.5, -sin(M_PI / 3), 0.0), TestCase::QUICK);
+    AddTestCase(new LteEnbAntennaTestCase(0.0, 120.0, 1.0, 0.0, 0.0), TestCase::Duration::QUICK);
+    AddTestCase(new LteEnbAntennaTestCase(0.0, 120.0, 0.5, sin(M_PI / 3), -3.0),
+                TestCase::Duration::QUICK);
+    AddTestCase(new LteEnbAntennaTestCase(0.0, 120.0, 0.5, -sin(M_PI / 3), -3.0),
+                TestCase::Duration::QUICK);
+    AddTestCase(new LteEnbAntennaTestCase(0.0, 120.0, -1.0, -2.0, -13.410),
+                TestCase::Duration::QUICK);
+    AddTestCase(new LteEnbAntennaTestCase(0.0, 120.0, -1.0, 1.0, -20.034),
+                TestCase::Duration::QUICK);
+    AddTestCase(new LteEnbAntennaTestCase(60.0, 120.0, 0.5, sin(M_PI / 3), 0.0),
+                TestCase::Duration::QUICK);
+    AddTestCase(new LteEnbAntennaTestCase(-60.0, 120.0, 0.5, -sin(M_PI / 3), 0.0),
+                TestCase::Duration::QUICK);
+    AddTestCase(new LteEnbAntennaTestCase(-60.0, 120.0, 0.5, -sin(M_PI / 3), 0.0),
+                TestCase::Duration::QUICK);
     AddTestCase(new LteEnbAntennaTestCase(-120.0, 120.0, -0.5, -sin(M_PI / 3), 0.0),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LteEnbAntennaTestCase(-120.0, 120.0, 0.5, -sin(M_PI / 3), -3.0),
-                TestCase::QUICK);
-    AddTestCase(new LteEnbAntennaTestCase(-120.0, 120.0, -1, 0, -3.0), TestCase::QUICK);
-    AddTestCase(new LteEnbAntennaTestCase(-120.0, 120.0, -1, 2, -15.578), TestCase::QUICK);
-    AddTestCase(new LteEnbAntennaTestCase(-120.0, 120.0, 1, 0, -14.457), TestCase::QUICK);
-    AddTestCase(new LteEnbAntennaTestCase(-120.0, 120.0, 1, 2, -73.154), TestCase::QUICK);
-    AddTestCase(new LteEnbAntennaTestCase(-120.0, 120.0, 1, -0.1, -12.754), TestCase::QUICK);
+                TestCase::Duration::QUICK);
+    AddTestCase(new LteEnbAntennaTestCase(-120.0, 120.0, -1, 0, -3.0), TestCase::Duration::QUICK);
+    AddTestCase(new LteEnbAntennaTestCase(-120.0, 120.0, -1, 2, -15.578),
+                TestCase::Duration::QUICK);
+    AddTestCase(new LteEnbAntennaTestCase(-120.0, 120.0, 1, 0, -14.457), TestCase::Duration::QUICK);
+    AddTestCase(new LteEnbAntennaTestCase(-120.0, 120.0, 1, 2, -73.154), TestCase::Duration::QUICK);
+    AddTestCase(new LteEnbAntennaTestCase(-120.0, 120.0, 1, -0.1, -12.754),
+                TestCase::Duration::QUICK);
 }
 
 /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/test/test-lte-epc-e2e-data.cc ns-3.42/src/lte/test/test-lte-epc-e2e-data.cc
--- ns-3.41/src/lte/test/test-lte-epc-e2e-data.cc	2024-02-09 14:44:08.337793000 -0800
+++ ns-3.42/src/lte/test/test-lte-epc-e2e-data.cc	2024-05-29 15:29:47.128073700 -0700
@@ -380,7 +380,7 @@
 } g_lteEpcE2eDataTestSuite; ///< the test suite
 
 LteEpcE2eDataTestSuite::LteEpcE2eDataTestSuite()
-    : TestSuite("lte-epc-e2e-data", SYSTEM)
+    : TestSuite("lte-epc-e2e-data", Type::SYSTEM)
 {
     std::vector<EnbTestData> v1;
     EnbTestData e1;
@@ -389,7 +389,7 @@
     u1.bearers.push_back(f1);
     e1.ues.push_back(u1);
     v1.push_back(e1);
-    AddTestCase(new LteEpcE2eDataTestCase("1 eNB, 1UE", v1), TestCase::QUICK);
+    AddTestCase(new LteEpcE2eDataTestCase("1 eNB, 1UE", v1), TestCase::Duration::QUICK);
 
     std::vector<EnbTestData> v2;
     EnbTestData e2;
@@ -402,12 +402,12 @@
     u2_2.bearers.push_back(f2_2);
     e2.ues.push_back(u2_2);
     v2.push_back(e2);
-    AddTestCase(new LteEpcE2eDataTestCase("1 eNB, 2UEs", v2), TestCase::EXTENSIVE);
+    AddTestCase(new LteEpcE2eDataTestCase("1 eNB, 2UEs", v2), TestCase::Duration::EXTENSIVE);
 
     std::vector<EnbTestData> v3;
     v3.push_back(e1);
     v3.push_back(e2);
-    AddTestCase(new LteEpcE2eDataTestCase("2 eNBs", v3), TestCase::EXTENSIVE);
+    AddTestCase(new LteEpcE2eDataTestCase("2 eNBs", v3), TestCase::Duration::EXTENSIVE);
 
     EnbTestData e4;
     UeTestData u4_1;
@@ -426,7 +426,7 @@
     v4.push_back(e4);
     v4.push_back(e1);
     v4.push_back(e2);
-    AddTestCase(new LteEpcE2eDataTestCase("3 eNBs", v4), TestCase::EXTENSIVE);
+    AddTestCase(new LteEpcE2eDataTestCase("3 eNBs", v4), TestCase::Duration::EXTENSIVE);
 
     EnbTestData e5;
     UeTestData u5;
@@ -436,7 +436,7 @@
     std::vector<EnbTestData> v5;
     v5.push_back(e5);
     AddTestCase(new LteEpcE2eDataTestCase("1 eNB, 1UE with 1000 byte packets", v5),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
 
     EnbTestData e6;
     UeTestData u6;
@@ -446,7 +446,7 @@
     std::vector<EnbTestData> v6;
     v6.push_back(e6);
     AddTestCase(new LteEpcE2eDataTestCase("1 eNB, 1UE with 1400 byte packets", v6),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
 
     EnbTestData e7;
     UeTestData u7;
@@ -457,7 +457,8 @@
     e7.ues.push_back(u7);
     std::vector<EnbTestData> v7;
     v7.push_back(e7);
-    AddTestCase(new LteEpcE2eDataTestCase("1 eNB, 1UE with 2 bearers", v7), TestCase::EXTENSIVE);
+    AddTestCase(new LteEpcE2eDataTestCase("1 eNB, 1UE with 2 bearers", v7),
+                TestCase::Duration::EXTENSIVE);
 
     EnbTestData e8;
     UeTestData u8;
@@ -467,7 +468,7 @@
     std::vector<EnbTestData> v8;
     v8.push_back(e8);
     AddTestCase(new LteEpcE2eDataTestCase("1 eNB, 1UE with fragmentation", v8),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
 
     EnbTestData e9;
     UeTestData u9;
@@ -476,5 +477,6 @@
     e9.ues.push_back(u9);
     std::vector<EnbTestData> v9;
     v9.push_back(e9);
-    AddTestCase(new LteEpcE2eDataTestCase("1 eNB, 1UE with aggregation", v9), TestCase::EXTENSIVE);
+    AddTestCase(new LteEpcE2eDataTestCase("1 eNB, 1UE with aggregation", v9),
+                TestCase::Duration::EXTENSIVE);
 }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/test/test-lte-handover-delay.cc ns-3.42/src/lte/test/test-lte-handover-delay.cc
--- ns-3.41/src/lte/test/test-lte-handover-delay.cc	2024-02-09 14:44:08.337793000 -0800
+++ ns-3.42/src/lte/test/test-lte-handover-delay.cc	2024-05-29 15:29:47.128073700 -0700
@@ -295,7 +295,7 @@
 {
   public:
     LteHandoverDelayTestSuite()
-        : TestSuite("lte-handover-delay", TestSuite::SYSTEM)
+        : TestSuite("lte-handover-delay", Type::SYSTEM)
     {
         // LogComponentEnable ("LteHandoverDelayTest", LOG_PREFIX_TIME);
         // LogComponentEnable ("LteHandoverDelayTest", LOG_DEBUG);
@@ -309,13 +309,13 @@
             // arguments: useIdealRrc, handoverTime, delayThreshold, simulationDuration
             AddTestCase(
                 new LteHandoverDelayTestCase(1, true, handoverTime, Seconds(0.005), Seconds(0.200)),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
             AddTestCase(
                 new LteHandoverDelayTestCase(2, true, handoverTime, Seconds(0.005), Seconds(0.200)),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
             AddTestCase(
                 new LteHandoverDelayTestCase(4, true, handoverTime, Seconds(0.005), Seconds(0.200)),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
         }
 
         // HANDOVER DELAY TEST CASES WITH REAL RRC (THRESHOLD = 0.020 sec)
@@ -329,19 +329,19 @@
                                                      handoverTime,
                                                      Seconds(0.020),
                                                      Seconds(0.200)),
-                        TestCase::QUICK);
+                        TestCase::Duration::QUICK);
             AddTestCase(new LteHandoverDelayTestCase(2,
                                                      false,
                                                      handoverTime,
                                                      Seconds(0.020),
                                                      Seconds(0.200)),
-                        TestCase::QUICK);
+                        TestCase::Duration::QUICK);
             AddTestCase(new LteHandoverDelayTestCase(4,
                                                      false,
                                                      handoverTime,
                                                      Seconds(0.020),
                                                      Seconds(0.200)),
-                        TestCase::QUICK);
+                        TestCase::Duration::QUICK);
         }
     }
 } g_lteHandoverDelayTestSuite; ///< the test suite
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/test/test-lte-handover-failure.cc ns-3.42/src/lte/test/test-lte-handover-failure.cc
--- ns-3.41/src/lte/test/test-lte-handover-failure.cc	2024-02-09 14:44:08.337793000 -0800
+++ ns-3.42/src/lte/test/test-lte-handover-failure.cc	2024-05-29 15:29:47.128073700 -0700
@@ -373,7 +373,7 @@
 {
   public:
     LteHandoverFailureTestSuite()
-        : TestSuite("lte-handover-failure", TestSuite::SYSTEM)
+        : TestSuite("lte-handover-failure", Type::SYSTEM)
     {
         // Argument sequence for all test cases: useIdealRrc, handoverTime, simulationDuration,
         // numberOfRaPreambles, preambleTransMax, raResponseWindowSize,
@@ -391,7 +391,7 @@
                                                    MilliSeconds(200),
                                                    MilliSeconds(500),
                                                    2500),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         AddTestCase(new LteHandoverFailureTestCase(
                         "REAL Handover failure due to non-allocation of non-contention preamble at "
                         "target eNodeB due to max number reached",
@@ -404,7 +404,7 @@
                         MilliSeconds(200),
                         MilliSeconds(500),
                         1500),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         AddTestCase(new LteHandoverFailureTestCase(
                         "REAL Handover failure due to HANDOVER JOINING timeout before reception of "
                         "RRC CONNECTION RECONFIGURATION at source eNodeB",
@@ -417,7 +417,7 @@
                         MilliSeconds(0),
                         MilliSeconds(500),
                         1500),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         AddTestCase(new LteHandoverFailureTestCase(
                         "REAL Handover failure due to HANDOVER JOINING timeout before completion "
                         "of non-contention RACH process to target eNodeB",
@@ -430,7 +430,7 @@
                         MilliSeconds(15),
                         MilliSeconds(500),
                         1500),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         AddTestCase(new LteHandoverFailureTestCase(
                         "REAL Handover failure due to HANDOVER JOINING timeout before reception of "
                         "RRC CONNECTION RECONFIGURATION COMPLETE at target eNodeB",
@@ -443,7 +443,7 @@
                         MilliSeconds(18),
                         MilliSeconds(500),
                         500),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         AddTestCase(new LteHandoverFailureTestCase(
                         "REAL Handover failure due to HANDOVER LEAVING timeout before reception of "
                         "RRC CONNECTION RECONFIGURATION at source eNodeB",
@@ -456,7 +456,7 @@
                         MilliSeconds(200),
                         MilliSeconds(0),
                         1500),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         AddTestCase(new LteHandoverFailureTestCase(
                         "REAL Handover failure due to HANDOVER LEAVING timeout before completion "
                         "of non-contention RACH process to target eNodeB",
@@ -469,7 +469,7 @@
                         MilliSeconds(200),
                         MilliSeconds(15),
                         1500),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         AddTestCase(new LteHandoverFailureTestCase(
                         "REAL Handover failure due to HANDOVER LEAVING timeout before reception of "
                         "RRC CONNECTION RECONFIGURATION COMPLETE at target eNodeB",
@@ -482,7 +482,7 @@
                         MilliSeconds(200),
                         MilliSeconds(18),
                         500),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
 
         // Test cases for IDEAL RRC protocol
         AddTestCase(new LteHandoverFailureTestCase("IDEAL Handover failure due to maximum RACH "
@@ -496,7 +496,7 @@
                                                    MilliSeconds(200),
                                                    MilliSeconds(500),
                                                    1500),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         AddTestCase(new LteHandoverFailureTestCase(
                         "IDEAL Handover failure due to non-allocation of non-contention preamble "
                         "at target eNodeB due to max number reached",
@@ -509,7 +509,7 @@
                         MilliSeconds(200),
                         MilliSeconds(500),
                         1500),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         AddTestCase(new LteHandoverFailureTestCase(
                         "IDEAL Handover failure due to HANDOVER JOINING timeout before reception "
                         "of RRC CONNECTION RECONFIGURATION at source eNodeB",
@@ -522,7 +522,7 @@
                         MilliSeconds(0),
                         MilliSeconds(500),
                         1500),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         AddTestCase(new LteHandoverFailureTestCase(
                         "IDEAL Handover failure due to HANDOVER JOINING timeout before completion "
                         "of non-contention RACH process to target eNodeB",
@@ -535,7 +535,7 @@
                         MilliSeconds(10),
                         MilliSeconds(500),
                         1500),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         AddTestCase(new LteHandoverFailureTestCase(
                         "IDEAL Handover failure due to HANDOVER JOINING timeout before reception "
                         "of RRC CONNECTION RECONFIGURATION COMPLETE at target eNodeB",
@@ -548,7 +548,7 @@
                         MilliSeconds(4),
                         MilliSeconds(500),
                         500),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         AddTestCase(new LteHandoverFailureTestCase(
                         "IDEAL Handover failure due to HANDOVER LEAVING timeout before reception "
                         "of RRC CONNECTION RECONFIGURATION at source eNodeB",
@@ -561,7 +561,7 @@
                         MilliSeconds(500),
                         MilliSeconds(0),
                         1500),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         AddTestCase(new LteHandoverFailureTestCase(
                         "IDEAL Handover failure due to HANDOVER LEAVING timeout before completion "
                         "of non-contention RACH process to target eNodeB",
@@ -574,7 +574,7 @@
                         MilliSeconds(500),
                         MilliSeconds(10),
                         1500),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         AddTestCase(new LteHandoverFailureTestCase(
                         "IDEAL Handover failure due to HANDOVER LEAVING timeout before reception "
                         "of RRC CONNECTION RECONFIGURATION COMPLETE at target eNodeB",
@@ -587,6 +587,6 @@
                         MilliSeconds(500),
                         MilliSeconds(4),
                         500),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
     }
 } g_lteHandoverFailureTestSuite; ///< end of LteHandoverFailureTestSuite ()
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/test/test-lte-handover-target.cc ns-3.42/src/lte/test/test-lte-handover-target.cc
--- ns-3.41/src/lte/test/test-lte-handover-target.cc	2024-02-09 14:44:08.337793000 -0800
+++ ns-3.42/src/lte/test/test-lte-handover-target.cc	2024-05-29 15:29:47.128073700 -0700
@@ -391,7 +391,7 @@
 };
 
 LteHandoverTargetTestSuite::LteHandoverTargetTestSuite()
-    : TestSuite("lte-handover-target", SYSTEM)
+    : TestSuite("lte-handover-target", Type::SYSTEM)
 {
     // LogComponentEnable ("LteHandoverTargetTest", LOG_PREFIX_ALL);
     // LogComponentEnable ("LteHandoverTargetTest", LOG_LEVEL_ALL);
@@ -413,7 +413,7 @@
                                               1,
                                               3,
                                               "ns3::A2A4RsrqHandoverAlgorithm"),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LteHandoverTargetTestCase("4 cells and strongest cell algorithm",
                                               Vector(20, 40, 0),
                                               2,
@@ -421,7 +421,7 @@
                                               1,
                                               3,
                                               "ns3::A3RsrpHandoverAlgorithm"),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 
     /*
      *    4 --- 5 --- 6
@@ -436,7 +436,7 @@
                                               5,
                                               2,
                                               "ns3::A2A4RsrqHandoverAlgorithm"),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LteHandoverTargetTestCase("6 cells and strongest cell algorithm",
                                               Vector(150, 90, 0),
                                               3,
@@ -444,7 +444,7 @@
                                               5,
                                               2,
                                               "ns3::A3RsrpHandoverAlgorithm"),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
 
 } // end of LteHandoverTargetTestSuite ()
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/test/test-lte-rlc-header.cc ns-3.42/src/lte/test/test-lte-rlc-header.cc
--- ns-3.41/src/lte/test/test-lte-rlc-header.cc	2024-02-09 14:44:08.337793000 -0800
+++ ns-3.42/src/lte/test/test-lte-rlc-header.cc	2024-05-29 15:29:47.128073700 -0700
@@ -27,6 +27,7 @@
 #include <bitset>
 #include <iomanip>
 #include <list>
+#include <vector>
 
 NS_LOG_COMPONENT_DEFINE("TestLteRlcHeader");
 
@@ -48,13 +49,12 @@
      */
     static std::string sprintPacketContentsHex(Ptr<Packet> pkt)
     {
-        uint32_t psize = pkt->GetSize();
-        uint8_t buffer[psize];
+        std::vector<uint8_t> buffer(pkt->GetSize());
         std::ostringstream oss(std::ostringstream::out);
-        pkt->CopyData(buffer, psize);
-        for (uint32_t i = 0; i < psize; i++)
+        pkt->CopyData(buffer.data(), buffer.size());
+        for (auto b : buffer)
         {
-            oss << std::setfill('0') << std::setw(2) << std::hex << (uint32_t)buffer[i];
+            oss << std::setfill('0') << std::setw(2) << std::hex << (uint32_t)b;
         }
         return oss.str();
     }
@@ -66,13 +66,12 @@
      */
     static std::string sprintPacketContentsBin(Ptr<Packet> pkt)
     {
-        uint32_t psize = pkt->GetSize();
-        uint8_t buffer[psize];
+        std::vector<uint8_t> buffer(pkt->GetSize());
         std::ostringstream oss(std::ostringstream::out);
-        pkt->CopyData(buffer, psize);
-        for (uint32_t i = 0; i < psize; i++)
+        pkt->CopyData(buffer.data(), buffer.size());
+        for (auto b : buffer)
         {
-            oss << (std::bitset<8>(buffer[i]));
+            oss << (std::bitset<8>(b));
         }
         return std::string(oss.str() + "\n");
     }
@@ -193,7 +192,7 @@
 } staticLteRlcHeaderTestSuiteInstance; ///< the test suite
 
 LteRlcHeaderTestSuite::LteRlcHeaderTestSuite()
-    : TestSuite("lte-rlc-header", UNIT)
+    : TestSuite("lte-rlc-header", Type::UNIT)
 {
     NS_LOG_FUNCTION(this);
 
@@ -201,14 +200,14 @@
         SequenceNumber10 ackSn(8);
         std::list<SequenceNumber10> nackSnList;
         std::string hex("0020");
-        AddTestCase(new RlcAmStatusPduTestCase(ackSn, nackSnList, hex), TestCase::QUICK);
+        AddTestCase(new RlcAmStatusPduTestCase(ackSn, nackSnList, hex), TestCase::Duration::QUICK);
     }
 
     {
         SequenceNumber10 ackSn(873);
         std::list<SequenceNumber10> nackSnList;
         std::string hex("0da4");
-        AddTestCase(new RlcAmStatusPduTestCase(ackSn, nackSnList, hex), TestCase::QUICK);
+        AddTestCase(new RlcAmStatusPduTestCase(ackSn, nackSnList, hex), TestCase::Duration::QUICK);
     }
 
     {
@@ -217,7 +216,7 @@
             SequenceNumber10(873),
         };
         std::string hex("000bb480");
-        AddTestCase(new RlcAmStatusPduTestCase(ackSn, nackSnList, hex), TestCase::QUICK);
+        AddTestCase(new RlcAmStatusPduTestCase(ackSn, nackSnList, hex), TestCase::Duration::QUICK);
     }
 
     {
@@ -227,7 +226,7 @@
             SequenceNumber10(754),
         };
         std::string hex("000bfed790");
-        AddTestCase(new RlcAmStatusPduTestCase(ackSn, nackSnList, hex), TestCase::QUICK);
+        AddTestCase(new RlcAmStatusPduTestCase(ackSn, nackSnList, hex), TestCase::Duration::QUICK);
     }
 
     {
@@ -238,7 +237,7 @@
             SequenceNumber10(947),
         };
         std::string hex("000bfed795d980");
-        AddTestCase(new RlcAmStatusPduTestCase(ackSn, nackSnList, hex), TestCase::QUICK);
+        AddTestCase(new RlcAmStatusPduTestCase(ackSn, nackSnList, hex), TestCase::Duration::QUICK);
     }
 
     {
@@ -250,7 +249,7 @@
             SequenceNumber10(347),
         };
         std::string hex("000bfed795d9cad8");
-        AddTestCase(new RlcAmStatusPduTestCase(ackSn, nackSnList, hex), TestCase::QUICK);
+        AddTestCase(new RlcAmStatusPduTestCase(ackSn, nackSnList, hex), TestCase::Duration::QUICK);
     }
 }
 
